Withdraw
curl --request POST \
--url https://staging-api.getpartna.com/v4/transfer/withdraw \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-user: <api-key>' \
--data '
{
"accountNumber": "",
"address": "",
"amount": 0,
"bankCode": "",
"currency": "",
"fromAccount": "",
"mobileNetwork": "",
"network": "",
"otp": "",
"shortcode": "",
"transactionReference": "",
"type": ""
}
'import requests
url = "https://staging-api.getpartna.com/v4/transfer/withdraw"
payload = {
"accountNumber": "",
"address": "",
"amount": 0,
"bankCode": "",
"currency": "",
"fromAccount": "",
"mobileNetwork": "",
"network": "",
"otp": "",
"shortcode": "",
"transactionReference": "",
"type": ""
}
headers = {
"x-api-key": "<api-key>",
"x-api-user": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-user': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountNumber: '',
address: '',
amount: 0,
bankCode: '',
currency: '',
fromAccount: '',
mobileNetwork: '',
network: '',
otp: '',
shortcode: '',
transactionReference: '',
type: ''
})
};
fetch('https://staging-api.getpartna.com/v4/transfer/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "request completed"
}{
"message": "wrong network address"
}{
"message": "no withdrawal api key cannot access POST /transfer/withdraw"
}{
"message": "transactionReference already exist"
}Transfer
Withdraw
Initiate withdrawal.
POST
/
transfer
/
withdraw
Withdraw
Authorizations
x-api-key & x-api-userauthorization
Body
application/json
Available options:
BNB, BTC, ETH, USDC, USDT, CUSD, NGN, GHS, KES Available options:
Safaricom, Airtel Available options:
avalanche, base, binance, bitcoin, celo, ethereum, polygon, tron, solana, MOBILE, BUY_GOODS, PAYBILL 6 digit otp from authenticator app; required if withdrawal request is made with jwt token
mobile number of the recipient
Available options:
crypto, naira, ghanaiancedis, kenyanshilling Response
post transfer withdraw ok
Was this page helpful?
⌘I